Skip to main content
GET
/
groups
/
{guid}
/
bannedusers
List
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/bannedusers \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "uid": "superhero6",
      "name": "Barry Allen",
      "link": "http://placehold.it",
      "avatar": "http://placehold.it/120x120&text=image1",
      "metadata": {
        "email": "user@email.com",
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "manager",
      "createdAt": 1638354015,
      "updatedAt": 1638354799,
      "conversationId": "superhero4_user_superhero6"
    },
    {
      "uid": "superhero2",
      "name": "Captain America",
      "avatar": "https://data-us.cometchat.io/assets/images/avatars/captainamerica.png",
      "status": "offline",
      "role": "default",
      "createdAt": 1629869270,
      "updatedAt": 1630308676,
      "conversationId": "superhero2_user_superhero4"
    },
    {
      "uid": "superhero3",
      "name": "Captain America",
      "link": "https://data-us.cometchat.io/assets",
      "avatar": "https://data-us.cometchat.io/assets/images/avatars/captainamerica.png",
      "metadata": {
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "default",
      "blockedByMe": true,
      "blockedByMeAt": 1638346853,
      "blockedAt": 1638346853,
      "createdAt": 1629869270,
      "updatedAt": 1638351060,
      "conversationId": "superhero3_user_superhero4"
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 5,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

guid
string
required

A GUID of a group.

Response

200 - application/json

get Banned User

data
object
meta
object
cursor
object